package im.dx.system.model;

import javax.persistence.Id;
import java.io.Serializable;

public class Traffalarmrecordstate implements Serializable {
    @Id
    private String countdate;

    @Id
    private String areaid;

    @Id
    private String eventtype;

    @Id
    private String fdid;

    @Id
    private Integer channelid;

    private Integer counthour;

    private Short channeltype;

    private String channelname;

    private String areaname;

    private Long totalcount;

    private String eventtypename;

    private Long nopushcount;
    private Long failpushcount;
    private Long successpushcount;

    public String getCountdate() {
        return countdate;
    }

    public void setCountdate(String countdate) {
        this.countdate = countdate;
    }

    public String getAreaid() {
        return areaid;
    }

    public void setAreaid(String areaid) {
        this.areaid = areaid;
    }

    public String getEventtype() {
        return eventtype;
    }

    public void setEventtype(String eventtype) {
        this.eventtype = eventtype;
    }

    public String getFdid() {
        return fdid;
    }

    public void setFdid(String fdid) {
        this.fdid = fdid;
    }

    public Integer getChannelid() {
        return channelid;
    }

    public void setChannelid(Integer channelid) {
        this.channelid = channelid;
    }

    public Integer getCounthour() {
        return counthour;
    }

    public void setCounthour(Integer counthour) {
        this.counthour = counthour;
    }

    public Short getChanneltype() {
        return channeltype;
    }

    public void setChanneltype(Short channeltype) {
        this.channeltype = channeltype;
    }

    public String getChannelname() {
        return channelname;
    }

    public void setChannelname(String channelname) {
        this.channelname = channelname;
    }

    public String getAreaname() {
        return areaname;
    }

    public void setAreaname(String areaname) {
        this.areaname = areaname;
    }

    public Long getTotalcount() {
        return totalcount;
    }

    public void setTotalcount(Long totalcount) {
        this.totalcount = totalcount;
    }

    public String getEventtypename() {
        return eventtypename;
    }

    public void setEventtypename(String eventtypename) {
        this.eventtypename = eventtypename;
    }

    public Long getNopushcount() {
        return nopushcount;
    }

    public void setNopushcount(Long nopushcount) {
        this.nopushcount = nopushcount;
    }

    public Long getFailpushcount() {
        return failpushcount;
    }

    public void setFailpushcount(Long failpushcount) {
        this.failpushcount = failpushcount;
    }

    public Long getSuccesspushcount() {
        return successpushcount;
    }

    public void setSuccesspushcount(Long successpushcount) {
        this.successpushcount = successpushcount;
    }

    private static final long serialVersionUID = 1L;


}